org.apache.ignite.internal.util.nio

## Class GridNioException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.util.nio.GridNioException

All Implemented Interfaces:
  Serializable

    public class GridNioException
    extends IgniteCheckedException

Nio specific exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridNioException(String msg)` Creates new exception with given error message.
`GridNioException(String msg, Throwable cause)` Creates new exception with given error message and optional nested exception.
`GridNioException(Throwable cause)` Creates new grid exception given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNioException

    public GridNioException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### GridNioException

    public GridNioException(String msg,
                    @Nullable
                    Throwable cause)

Creates new exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Nested exception.

#### GridNioException

    public GridNioException(Throwable cause)

Creates new grid exception given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017